## GstCudaBufferPool

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstBufferPool
                    ╰──GstCudaBufferPool

### Members

`parent` (GstBufferPool) –
No description available
`context` (GstCudaContext *) –
No description available
`priv` (GstCudaBufferPoolPrivate*) –
No description available

Since : 1.22

### Class structure

#### GstCudaBufferPoolClass

##### Fields

`parent_class` (GstBufferPoolClass) –
No description available

### GstCuda.CudaBufferPoolClass

##### Attributes

`parent_class` (Gst.BufferPoolClass) –
No description available

### GstCuda.CudaBufferPoolClass

##### Attributes

`parent_class` (Gst.BufferPoolClass) –
No description available

## GstCuda.CudaBufferPool

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.BufferPool
                    ╰──GstCuda.CudaBufferPool

### Members

`parent` (Gst.BufferPool) –
No description available
`context` (GstCuda.CudaContext) –
No description available
`priv` (GstCuda.CudaBufferPoolPrivate) –
No description available

Since : 1.22

## GstCuda.CudaBufferPool

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.BufferPool
                    ╰──GstCuda.CudaBufferPool

### Members

`parent` (Gst.BufferPool) –
No description available
`context` (GstCuda.CudaContext) –
No description available
`priv` (GstCuda.CudaBufferPoolPrivate) –
No description available

Since : 1.22

### Constructors

#### gst_cuda_buffer_pool_new

    GstBufferPool *
    gst_cuda_buffer_pool_new (GstCudaContext * context)

Parameters:

`context` –

The GstCudaContext to use for the new buffer pool

Returns –

A newly created GstCudaBufferPool

Since : 1.22

#### GstCuda.CudaBufferPool.prototype.new

    function GstCuda.CudaBufferPool.prototype.new(context: GstCuda.CudaContext): {
        // javascript wrapper for 'gst_cuda_buffer_pool_new'
    }

Parameters:

`context` (GstCuda.CudaContext) –

The GstCuda.CudaContext to use for the new buffer pool

Returns (Gst.BufferPool) –

A newly created GstCuda.CudaBufferPool

Since : 1.22

#### GstCuda.CudaBufferPool.new

    def GstCuda.CudaBufferPool.new (context):
        #python wrapper for 'gst_cuda_buffer_pool_new'

Parameters:

`context` (GstCuda.CudaContext) –

The GstCuda.CudaContext to use for the new buffer pool

Returns (Gst.BufferPool) –

A newly created GstCuda.CudaBufferPool

Since : 1.22

## Functions

### gst_buffer_pool_config_get_cuda_alloc_method

    GstCudaMemoryAllocMethod
    gst_buffer_pool_config_get_cuda_alloc_method (GstStructure * config)

Gets configured allocation method

Parameters:

`config` –

a buffer pool config

Returns –
No description available

Since : 1.24

### GstCuda.prototype.buffer_pool_config_get_cuda_alloc_method

    function GstCuda.prototype.buffer_pool_config_get_cuda_alloc_method(config: Gst.Structure): {
        // javascript wrapper for 'gst_buffer_pool_config_get_cuda_alloc_method'
    }

Gets configured allocation method

Parameters:

`config` (Gst.Structure) –

a buffer pool config

Returns (GstCuda.CudaMemoryAllocMethod) –
No description available

Since : 1.24

### GstCuda.buffer_pool_config_get_cuda_alloc_method

    def GstCuda.buffer_pool_config_get_cuda_alloc_method (config):
        #python wrapper for 'gst_buffer_pool_config_get_cuda_alloc_method'

Gets configured allocation method

Parameters:

`config` (Gst.Structure) –

a buffer pool config

Returns (GstCuda.CudaMemoryAllocMethod) –
No description available

Since : 1.24

### gst_buffer_pool_config_get_cuda_stream

    GstCudaStream *
    gst_buffer_pool_config_get_cuda_stream (GstStructure * config)

Parameters:

`config` –

a buffer pool config

Returns ( [transfer: full][nullable]) –

the currently configured GstCudaStream on config or NULL if config doesn't hold GstCudaStream

Since : 1.24

### GstCuda.prototype.buffer_pool_config_get_cuda_stream

    function GstCuda.prototype.buffer_pool_config_get_cuda_stream(config: Gst.Structure): {
        // javascript wrapper for 'gst_buffer_pool_config_get_cuda_stream'
    }

Parameters:

`config` (Gst.Structure) –

a buffer pool config

Returns (GstCuda.CudaStream) –

the currently configured GstCuda.CudaStream on config or null if config doesn't hold GstCuda.CudaStream

Since : 1.24

### GstCuda.buffer_pool_config_get_cuda_stream

    def GstCuda.buffer_pool_config_get_cuda_stream (config):
        #python wrapper for 'gst_buffer_pool_config_get_cuda_stream'

Parameters:

`config` (Gst.Structure) –

a buffer pool config

Returns (GstCuda.CudaStream) –

the currently configured GstCuda.CudaStream on config or None if config doesn't hold GstCuda.CudaStream

Since : 1.24

### gst_buffer_pool_config_get_cuda_stream_ordered_alloc

    gboolean
    gst_buffer_pool_config_get_cuda_stream_ordered_alloc (GstStructure * config,
                                                          gboolean * enabled)

Parameters:

`config` –

a buffer pool config

`enabled` ( [out]) –

whether stream ordered allocation was requested or not

Returns –

TRUE stream ordered allocation option was specified

Since : 1.26

### GstCuda.prototype.buffer_pool_config_get_cuda_stream_ordered_alloc

    function GstCuda.prototype.buffer_pool_config_get_cuda_stream_ordered_alloc(config: Gst.Structure): {
        // javascript wrapper for 'gst_buffer_pool_config_get_cuda_stream_ordered_alloc'
    }

Parameters:

`config` (Gst.Structure) –

a buffer pool config

Returns a tuple made of:

(Number ) –

true stream ordered allocation option was specified

`enabled` (Number ) –

true stream ordered allocation option was specified

Since : 1.26

### GstCuda.buffer_pool_config_get_cuda_stream_ordered_alloc

    def GstCuda.buffer_pool_config_get_cuda_stream_ordered_alloc (config):
        #python wrapper for 'gst_buffer_pool_config_get_cuda_stream_ordered_alloc'

Parameters:

`config` (Gst.Structure) –

a buffer pool config

Returns a tuple made of:

(bool ) –

True stream ordered allocation option was specified

`enabled` (bool ) –

True stream ordered allocation option was specified

Since : 1.26

### gst_buffer_pool_config_set_cuda_alloc_method

    gst_buffer_pool_config_set_cuda_alloc_method (GstStructure * config,
                                                  GstCudaMemoryAllocMethod method)

Sets allocation method

Parameters:

`config` –

a buffer pool config

`method` –
No description available

Since : 1.24

### GstCuda.prototype.buffer_pool_config_set_cuda_alloc_method

    function GstCuda.prototype.buffer_pool_config_set_cuda_alloc_method(config: Gst.Structure, method: GstCuda.CudaMemoryAllocMethod): {
        // javascript wrapper for 'gst_buffer_pool_config_set_cuda_alloc_method'
    }

Sets allocation method

Parameters:

`config` (Gst.Structure) –

a buffer pool config

`method` (GstCuda.CudaMemoryAllocMethod) –
No description available

Since : 1.24

### GstCuda.buffer_pool_config_set_cuda_alloc_method

    def GstCuda.buffer_pool_config_set_cuda_alloc_method (config, method):
        #python wrapper for 'gst_buffer_pool_config_set_cuda_alloc_method'

Sets allocation method

Parameters:

`config` (Gst.Structure) –

a buffer pool config

`method` (GstCuda.CudaMemoryAllocMethod) –
No description available

Since : 1.24

### gst_buffer_pool_config_set_cuda_stream

    gst_buffer_pool_config_set_cuda_stream (GstStructure * config,
                                            GstCudaStream * stream)

Sets stream on config

Parameters:

`config` –

a buffer pool config

`stream` –

a GstCudaStream

Since : 1.24

### GstCuda.prototype.buffer_pool_config_set_cuda_stream

    function GstCuda.prototype.buffer_pool_config_set_cuda_stream(config: Gst.Structure, stream: GstCuda.CudaStream): {
        // javascript wrapper for 'gst_buffer_pool_config_set_cuda_stream'
    }

Sets stream on config

Parameters:

`config` (Gst.Structure) –

a buffer pool config

`stream` (GstCuda.CudaStream) –

a GstCuda.CudaStream

Since : 1.24

### GstCuda.buffer_pool_config_set_cuda_stream

    def GstCuda.buffer_pool_config_set_cuda_stream (config, stream):
        #python wrapper for 'gst_buffer_pool_config_set_cuda_stream'

Sets stream on config

Parameters:

`config` (Gst.Structure) –

a buffer pool config

`stream` (GstCuda.CudaStream) –

a GstCuda.CudaStream

Since : 1.24

### gst_buffer_pool_config_set_cuda_stream_ordered_alloc

    gst_buffer_pool_config_set_cuda_stream_ordered_alloc (GstStructure * config,
                                                          gboolean stream_ordered)

Sets stream ordered allocation option

Parameters:

`config` –

a buffer pool config

`stream_ordered` –

whether stream ordered allocation is allowed

Since : 1.26

### GstCuda.prototype.buffer_pool_config_set_cuda_stream_ordered_alloc

    function GstCuda.prototype.buffer_pool_config_set_cuda_stream_ordered_alloc(config: Gst.Structure, stream_ordered: Number): {
        // javascript wrapper for 'gst_buffer_pool_config_set_cuda_stream_ordered_alloc'
    }

Sets stream ordered allocation option

Parameters:

`config` (Gst.Structure) –

a buffer pool config

`stream_ordered` (Number) –

whether stream ordered allocation is allowed

Since : 1.26

### GstCuda.buffer_pool_config_set_cuda_stream_ordered_alloc

    def GstCuda.buffer_pool_config_set_cuda_stream_ordered_alloc (config, stream_ordered):
        #python wrapper for 'gst_buffer_pool_config_set_cuda_stream_ordered_alloc'

Sets stream ordered allocation option

Parameters:

`config` (Gst.Structure) –

a buffer pool config

`stream_ordered` (bool) –

whether stream ordered allocation is allowed

Since : 1.26

## Function Macros

### GST_CUDA_BUFFER_POOL_CAST

    #define GST_CUDA_BUFFER_POOL_CAST(obj)        ((GstCudaBufferPool*)(obj))

Since : 1.22

The results of the search are